{
const TOOLS_RUNNER_URL = "https://functions.yandexcloud.net/d4esian9gs7m7m80qk1q";
const SHOWDOWN_URL = "https://storage.yandexcloud.net/collabza/showdown.min.js";
const TOOL_ID = "90f33f9a-a4a7-4626-9a1e-0f5c2d480f5e";
const BLOCK_ID = "#rec690932832";

$(document).ready(function () {
  const tool_id = TOOL_ID;
  const block_id = BLOCK_ID.substring(4);
  const block = $(BLOCK_ID).removeClass("r_hidden");
  const script = block.find("script").remove();
  block.find(".t-video-lazyload").empty();

  block.wrap(`<div id="rec${block_id}" class="r"></div>`).remove();
  block.removeClass("r");
  const container = $(`#rec${block_id}`);

  const project_id = $("#allrecords").attr("data-tilda-project-id");
  const profile = JSON.parse(
    localStorage.getItem(`tilda_members_profile${project_id}`) ||
      localStorage.getItem("memberarea_profile") ||
      "{}"
  );
  profile["login"] = encodeURIComponent(profile["login"]);
  ["groups", "courses"].forEach((key) => delete profile[key]);
  const filters = new URLSearchParams(window.location.search).get(
    `filters${block_id}`
  );

  $.post(
    TOOLS_RUNNER_URL,
    JSON.stringify({
      tool_id: tool_id,
      profile: profile,
      project_id: project_id,
      referer: document.location.origin,
      user_agent: navigator.userAgent,
      filters: filters,
    }),
    function (data) {
      $.getScript(SHOWDOWN_URL, function () {
        const converter = new showdown.Converter();
        data.records?.forEach(function (record, index) {
          item = block.clone(true).attr("id", `rec${block_id}_${index}`);
          if ("title" in record) {
            const title = item.find(".t230__title");
            title.html(converter.makeHtml(String(record.title)));
          }
          if ("text" in record) {
            const text = item.find(".t230__text");
            text.html(converter.makeHtml(String(record.text)));
            text.find("blockquote").css({
              "white-space": "normal",
              "border-left": "3px solid #333333",
              "padding-left": "20px",
            });
          }
          if ("button_text" in record) {
            const item_button = item.find(".t230__buttons");
            if (record.button_text) {
              item_button.find("span").text(record.button_text);
            } else {
              item_button.remove();
            }
          }
          if ("button_link" in record) {
            const item_button = item.find(".t230__buttons");
            if (record.button_link) {
              item_button.find("a").attr("href", record.button_link);
            } else {
              item_button.remove();
            }
          }
          for (const hosting of [
            "youtube",
            "vimeo",
            "rutube",
            "kinescope",
            "vkvideo",
          ]) {
            if (`${hosting}_id` in record) {
              const video = item.find(
                `.t-video-lazyload[data-videolazy-type="${hosting}"]`
              );
              if (record[`${hosting}_id`]) {
                video.attr("data-videolazy-id", record[`${hosting}_id`]);
                video.attr("data-videolazy-load", false);
                if (record[`${hosting}_hash`]) {
                  video.attr("data-videolazy-hash", record[`${hosting}_hash`]);
                }
              } else {
                video.remove();
              }
            }
          }
          for (const format of ["mp4", "webm"]) {
            if (`video_${format}` in record) {
              const video = item.find(
                `.t-video-lazyload[data-videolazy-type="${format}"]`
              );
              if (record[`video_${format}`]) {
                video.attr("data-videolazy-id", record[`video_${format}`]);
                video.attr("data-videolazy-load", false);
              } else {
                video.remove();
              }
            }
          }
          if ("video_title" in record) {
            const video_title = item.find(".t230__video-title");
            video_title.html(converter.makeHtml(String(record.video_title)));
          }
          if ("video_description" in record) {
            const video_description = item.find(".t230__video-descr");
            video_description.html(
              converter.makeHtml(String(record.video_description))
            );
            video_description.find("blockquote").css({
              "white-space": "normal",
              "border-left": "3px solid #333333",
              "padding-left": "20px",
            });
          }
          item.find(".t-video-lazyload").empty();
          item.appendTo(container);
          eval(
            script
              .html()
              .replace(new RegExp(block_id, "g"), `${block_id}_${index}`)
          );
        });
        t_video_lazyload_init();
        $(window).trigger("resize");
        window.dispatchEvent(new Event("resize"));
        container.trigger("collabza_loaded");
      });
    }
  ).fail(function (data) {
    container.text(
      `Collabza error (${BLOCK_ID}): ${data?.responseJSON?.message}`
    );
    container.css("text-align", "center");
  });
});
}
